|  | Home |

# QMailAccountMessageSet Class Reference

The QMailAccountMessageSet class represents a set of messages corresponding to the content of a QMailAccount. More...

        #include <QMailAccountMessageSet>

This class is under development and is subject to change.

Inherits QMailMessageSet.

- List of all members, including inherited members

## Public Functions

| QMailAccountMessageSet ( QMailMessageSetContainer * container, const QMailAccountId & accountId, bool hierarchical = true )
QMailAccountId | accountId () const
bool | hierarchical () const

## Reimplemented Public Functions

virtual QMailMessageKey | descendantsMessageKey () const
virtual QString | displayName () const
virtual QMailMessageKey | messageKey () const

- 5 public functions inherited from QMailMessageSet
- 29 public functions inherited from QObject
- 10 public functions inherited from QMailMessageSetContainer

## Static Public Members

QMailMessageKey | contentKey ( const QMailAccountId & id, bool descendants )

- 4 static public members inherited from QObject

## Protected Functions

virtual void | createChild ( const QMailFolderId & childId )

- 1 protected function inherited from QMailMessageSet
- 7 protected functions inherited from QObject
- 1 protected function inherited from QMailMessageSetContainer

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QMailAccountMessageSet class represents a set of messages corresponding to the content of a QMailAccount.

QMailAccountMessageSet provides a representation for a named subset of messages, specified by their parent QMailAccount.

If the QMailAccountMessageSet is hierarchical(), then any folders contained by the account will automatically be managed as child QMailFolderMessageSets of the parent QMailAccountMessageSet.

## Member Function Documentation

### QMailAccountMessageSet::QMailAccountMessageSet ( QMailMessageSetContainer * container, const QMailAccountId & accountId, bool hierarchical = true )

Constructs a QMailAccountMessageSet within the parent container container, whose message set is defined by the content of the QMailAccount identified by accountId. If hierarchical is true, the message set will automatically maintain a set of child QMailFolderMessageSets corresponding to QMailFolders whose parentAccountId is accountId, and whose parentFolderId is empty.

### QMailAccountId QMailAccountMessageSet::accountId () const

Returns the identifier of the QMailAccount associated with this message set.

### QMailMessageKey QMailAccountMessageSet::contentKey ( const QMailAccountId & id, bool descendants ) `[static]`

Returns the message key that defines the content of a QMailAccountMessageSet for the account identified by id. If descendants is true, then the result is the key that defines the descendantMessageKey() content.

### void QMailAccountMessageSet::createChild ( const QMailFolderId & childId ) `[virtual protected]`

Creates a message set object for the folder identified by childId, and appends it to this object.

Override this function to specialize the type created for child nodes.

### QMailMessageKey QMailAccountMessageSet::descendantsMessageKey () const `[virtual]`

Reimplemented from QMailMessageSet::descendantsMessageKey().

Returns the QMailMessageKey that selects the messages beneath the configured account in the hierarchy.

### QString QMailAccountMessageSet::displayName () const `[virtual]`

Reimplemented from QMailMessageSet::displayName().

Returns the name of the account that this message set represents.

See also QMailAccount::name().

### bool QMailAccountMessageSet::hierarchical () const

Returns true if this message set automatically maintains a hierarchy of child folder message sets.

### QMailMessageKey QMailAccountMessageSet::messageKey () const `[virtual]`

Reimplemented from QMailMessageSet::messageKey().

Returns the QMailMessageKey that selects the messages contained by the configured account.